{
    "branches": [
        "master"
    ],
    "plugins": [
        "@semantic-release/commit-analyzer",
        "@semantic-release/release-notes-generator",
        "@semantic-release/changelog",
        [
            "@semantic-release/npm",
            {
                "npmPublish": false,
                "pkgRoot": "frontend"
            }
        ],
        [
            "@semantic-release/exec",
            {
                "prepareCmd": "sed -e 's/\"VERSION\": \"${lastRelease.version}\"/\"VERSION\": \"${nextRelease.version}\"/g' backend/finanztool/config/settings.py > backend/finanztool/config/settings.py.next && mv -f backend/finanztool/config/settings.py.next backend/finanztool/config/settings.py"
            }
        ],
        [
            "@semantic-release/gitlab",
            {
                "gitlabUrl": "https://gitlab.lrz.de"
            }
        ],
        [
            "@semantic-release/git",
            {
                "assets": [
                    "frontend/package.json"
                ],
                "message": "chore(release): ${nextRelease.version} [skip ci]\n\n${nextRelease.notes}"
            }
        ]
    ]
}